import Vue from 'vue';
import Vuetify from 'vuetify';
import 'vuetify/dist/vuetify.min.css';
import '@mdi/font/css/materialdesignicons.css';
import { initTheme } from '@zeedhi/common';
import { Mask } from '@zeedhi/core';
import theme from '../theme';

Mask.addPattern('M', /[0,1,2,3,4,5]/);
Vue.use(Vuetify);

export default new Vuetify({
  icons: {
    iconfont: 'mdi',
  },
  theme: initTheme(theme),
});
